using System;


namespace ActionGame.GameResources.Models
{
    public class WorldPosition
    {
        public Int32 WorldMapKey { get; set; }
        public Int32 WorldCellX { get; set; }
        public Int32 WorldCellY { get; set; }
        public Int32 PositionX { get; set; }
        public Int32 PositionY { get; set; }


        public WorldPosition Copy()
        {
            WorldPosition copy = new WorldPosition()
            {
                WorldMapKey = this.WorldMapKey,
                WorldCellX = this.WorldCellX,
                WorldCellY = this.WorldCellY,
                PositionX = this.PositionX,
                PositionY = this.PositionY
            };

            return copy;
        }


        public override String ToString()
        {
            String label = WorldMapKey + " - " + WorldCellX + "," + WorldCellY + " - " + PositionX + "," + PositionY;

            return label;
        }

    }
}
